## ocaml-rrdd-plugin 0.6.1

=== Makefile ===
all: build

TESTS_FLAG=--enable-tests

NAME=rrdd-plugin
J=4

LIBDIR=_build/lib

setup.ml: _oasis
	oasis setup

setup.data: setup.ml
	ocaml setup.ml -configure $(TESTS_FLAG)

build: setup.data
	ocaml setup.ml -build -j $(J)

doc: setup.data
	ocaml setup.ml -doc -j $(J)

install: setup.data
	ocaml setup.ml -install

uninstall:
	ocamlfind remove $(NAME)

reinstall: setup.data
	ocamlfind remove $(NAME) || true
	ocaml setup.ml -reinstall

clean:
	ocamlbuild -clean
	rm -f setup.data setup.log

=== debian/changelog ===
ocaml-rrdd-plugin (0.6.1-1) UNRELEASED; urgency=low

  * New release

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Fri, 24 Oct 2014 12:00:00 +0000

ocaml-rrdd-plugin (0.5.0-1) UNRELEASED; urgency=low

  * Initial package

 -- John Else <john.else@citrix.com>  Tue, 08 Jul 2014 12:00:00 +0000

=== debian/control ===
Source: ocaml-rrdd-plugin
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 libxcp-rrd-ocaml-dev,
 libxcp-idl-ocaml-dev,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 libstdext-ocaml-dev,
 python,
 debhelper (>= 8),
 libxenstore-ocaml-dev,
 ocaml-findlib,
 libxenstore-clients-ocaml-dev,
 ocaml-native-compilers,
 librrd-transport-ocaml-dev,
 forkexecd-dev

Package: ocaml-rrdd-plugin
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Plugin library for the XenServer RRD daemon
 Plugin library for the XenServer RRD daemon.

Package: ocaml-rrdd-plugin-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 ocaml-rrdd-plugin (>= 0.6.1-1),
 forkexecd-dev,
 libstdext-ocaml-dev,
 libxcp-idl-ocaml-dev,
 libxcp-rrd-ocaml-dev,
 librrd-transport-ocaml-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-rrdd-plugin
 The ocaml-rrdd-plugin-devel package contains libraries and signature
 files for developing applications that use ocaml-rrdd-plugin.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/ocaml.mk

export DH_VERBOSE=1
export DH_OPTIONS
export DESTDIR=$(CURDIR)/debian/tmp
%:
	dh $@ --with ocaml --with python2

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	debian/build.sh

.PHONY: override_dh_auto_install
override_dh_auto_install:
	debian/install.sh

.PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -f debian/ocaml-rrdd-plugin/usr/lib/ocaml/rrdd-plugin/*.a
	rm -f debian/ocaml-rrdd-plugin/usr/lib/ocaml/rrdd-plugin/*.cmx
	rm -f debian/ocaml-rrdd-plugin/usr/lib/ocaml/rrdd-plugin/*.cmxa
	rm -f debian/ocaml-rrdd-plugin/usr/lib/ocaml/rrdd-plugin/*.mli

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	debian/clean.sh
	rm -rf ${DESTDIR}

.PHONY: override_dh_auto_test
override_dh_auto_test:
